ru.bitel.bgbilling.kernel.script.common.bean

## Class ContractScript

- java.lang.Object
- - ru.bitel.bgbilling.kernel.script.common.bean.ContractScript

-     public class ContractScript
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractScript()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.util.Calendar` | `getDate1()`
    `java.util.Calendar` | `getDate2()`
    `int` | `getId()`
    `Period` | `getPeriod()`
    `int` | `getScriptId()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setDate1(java.util.Calendar date1)`
    `void` | `setDate2(java.util.Calendar date2)`
    `void` | `setId(int id)`
    `void` | `setScriptId(int scriptId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractScript

          public ContractScript()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getDate1

          public java.util.Calendar getDate1()

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

    - #### getPeriod

          public Period getPeriod()

    - #### setScriptId

          public void setScriptId(int scriptId)

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

    - #### setContractId

          public void setContractId(int contractId)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDate2

          public java.util.Calendar getDate2()

    - #### getScriptId

          public int getScriptId()

    - #### getContractId

          public int getContractId()

    - #### getComment

          public java.lang.String getComment()